Package org.apache.commons.math3.optim.univariate

# Class SearchInterval

java.lang.Object
org.apache.commons.math3.optim.univariate.SearchInterval

All Implemented Interfaces:
  `OptimizationData`

public class SearchInterval extends Object implements OptimizationData
Search interval and (optional) start value.
Immutable class.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`SearchInterval(double lo, double hi)`
`SearchInterval(double lo, double hi, double init)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getMax()`
Gets the upper bound.
`double`
`getMin()`
Gets the lower bound.
`double`
`getStartValue()`
Gets the start value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SearchInterval

public SearchInterval(double lo, double hi, double init)

Parameters:
  `lo` - Lower bound.
  `hi` - Upper bound.
  `init` - Start value.
Throws:
  `NumberIsTooLargeException` - if `lo >= hi`.
  `OutOfRangeException` - if `init < lo` or `init > hi`.

### SearchInterval

public SearchInterval(double lo, double hi)

Parameters:
  `lo` - Lower bound.
  `hi` - Upper bound.
Throws:
  `NumberIsTooLargeException` - if `lo >= hi`.

## Method Details

### getMin

public double getMin()
Gets the lower bound.

Returns:
  the lower bound.

### getMax

public double getMax()
Gets the upper bound.

Returns:
  the upper bound.

### getStartValue

public double getStartValue()
Gets the start value.

Returns:
  the start value.